ProgList (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.gui.startup
Class ProgList

    java.lang.Object
      |
      +--org.emboss.jemboss.gui.startup.ProgList

public class ProgList
extends java.lang.Object

Used on startup of Jemboss to retrieve the alphabetical list of programs and uses the programs groups to create the menu structure based on the program type. This uses the output of the EMBOSS program wossname.

Nested Class Summary
`(package private) class` | `ProgList.HorizontalMenu` HorizontalMenu extends JMenu to produces horizontal menus.

Field Summary
`private java.lang.String[]` | `allDescription` array of program one line descriptions
`private java.lang.String[]` | `allProgs` array of the program names
`private java.awt.Font` | `menuFont` font used for the menu items
`private javax.swing.JMenuItem[]` | `mItem` used to create the program menus
`private int` | `nm` number of JMenuItem created
`private int` | `npG` number of primary group programs
`private int` | `numProgs` number of programs

Constructor Summary
`ProgList(java.lang.String woss, java.lang.String currentDirectory, javax.swing.JMenuBar menuBar)`

Method Summary
`javax.swing.JMenuItem[]` | `getMenuItems()` Returns the program menu items
`int` | `getNumberMenuItems()` Returns the number of program menu items
`int` | `getNumPrimaryGroups()` Returns the number of primary menu groups
`int` | `getNumProgs()` Returns the number of programs
`java.lang.String[]` | `getProgDescription()` Returns the array of the program descriptions
`java.lang.String[]` | `getProgsList()` Returns the array of all the program names
`void` | `writeList()` Writes to screen the program names

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### allProgs

    private java.lang.String[] allProgs

  array of the program names

### allDescription

    private java.lang.String[] allDescription

  array of program one line descriptions

### numProgs

    private int numProgs

  number of programs

### nm

    private int nm

  number of JMenuItem created

### npG

    private int npG

  number of primary group programs

### mItem

    private javax.swing.JMenuItem[] mItem

  used to create the program menus

### menuFont

    private java.awt.Font menuFont

  font used for the menu items

Constructor Detail

### ProgList

    public ProgList(java.lang.String woss,
                    java.lang.String currentDirectory,
                    javax.swing.JMenuBar menuBar)

Method Detail

### getNumProgs

    public int getNumProgs()

  Returns the number of programs

  Returns:
    number of programs

### getProgsList

    public java.lang.String[] getProgsList()

  Returns the array of all the program names

  Returns:
    array of all the program names

### getProgDescription

    public java.lang.String[] getProgDescription()

  Returns the array of the program descriptions

### writeList

    public void writeList()

  Writes to screen the program names

### getMenuItems

    public javax.swing.JMenuItem[] getMenuItems()

  Returns the program menu items

  Returns:
    program menu items

### getNumberMenuItems

    public int getNumberMenuItems()

  Returns the number of program menu items

  Returns:
    number of program menu items

### getNumPrimaryGroups

    public int getNumPrimaryGroups()

  Returns the number of primary menu groups

  Returns:
    number of primary menu groups

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD